## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ReusableArenaAllocator Class Template Reference

`#include <ReusableArenaAllocator.hpp>`

Inheritance diagram for ReusableArenaAllocator:

[legend]
Collaboration diagram for ReusableArenaAllocator:

[legend]
List of all members.

## Public Types

- typedef ReusableArenaBlock<
  ObjectType> ReusableArenaBlockType
- typedef ReusableArenaBlockType::size_type size_type
- typedef ArenaAllocator<ObjectType,
  ReusableArenaBlockType> BaseClassType
- typedef std::vector<ReusableArenaBlockType*> ArenaBlockListType

## Public Methods

- ReusableArenaAllocator (size_type theBlockSize)
- virtual ~ReusableArenaAllocator ()
- bool destroyObject (ObjectType *theObject)
- virtual ObjectType* allocateBlock ()
- virtual void commitAllocation (ObjectType *theObject)
- virtual void reset ()
- virtual bool ownsObject (const ObjectType *theObject) const

### template<class ObjectType> class ReusableArenaAllocator

## Member Typedef Documentation

template<class ObjectType>
typedef std::vector< ReusableArenaBlockType *> ReusableArenaAllocator<ObjectType>::ArenaBlockListType<ReusableArenaBlockType*>

| Reimplemented from ArenaAllocator.

template<class ObjectType>
typedef ArenaAllocator< ObjectType, ReusableArenaBlockType > ReusableArenaAllocator<ObjectType>::BaseClassType<ObjectType, ReusableArenaBlockType>

template<class ObjectType>
typedef ReusableArenaBlock< ObjectType > ReusableArenaAllocator<ObjectType>::ReusableArenaBlockType<ObjectType>

template<class ObjectType>
typedef ReusableArenaBlockType::size_type ReusableArenaAllocator<ObjectType>::size_type

| Reimplemented from ArenaAllocator.

## Constructor & Destructor Documentation

template<class ObjectType>
ReusableArenaAllocator<ObjectType>::ReusableArenaAllocator<ObjectType> ( | size_type theBlockSize )

template<class ObjectType>
ReusableArenaAllocator<ObjectType>::~ReusableArenaAllocator<ObjectType> ( | )`[virtual]`

## Member Function Documentation

template<class ObjectType>
ObjectType * ReusableArenaAllocator<ObjectType>::allocateBlock ( | )`[virtual]`

| Reimplemented from ArenaAllocator.

template<class ObjectType>
void ReusableArenaAllocator<ObjectType>::commitAllocation ( | ObjectType * theObject )`[virtual]`

| Reimplemented from ArenaAllocator.

template<class ObjectType>
bool ReusableArenaAllocator<ObjectType>::destroyObject ( | ObjectType * theObject )

template<class ObjectType>
bool ReusableArenaAllocator<ObjectType>::ownsObject ( | const ObjectType * theObject ) const`[virtual]`

| Reimplemented from ArenaAllocator.

template<class ObjectType>
void ReusableArenaAllocator<ObjectType>::reset ( | )`[virtual]`

| Reimplemented from ArenaAllocator.

The documentation for this class was generated from the following file:

- ReusableArenaAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.